/* anton-regular - latin */
@font-face {
	font-family: 'Anton';
	font-style: normal;
	font-weight: 400;
	font-display:swap;
	src: local(''),
		 url('https://static.immoserver.ch/fonts/google/anton-v23-latin-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url('https://static.immoserver.ch/fonts/google/anton-v23-latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* open-sans-condensed-300 - latin */
@font-face {
	font-family: 'Open Sans Condensed';
	font-style: normal;
	font-weight: 300;
	font-display:swap;
	src: local(''),
		url('https://static.immoserver.ch/fonts/google/open-sans-condensed-v14-latin-300.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		url('https://static.immoserver.ch/fonts/google/open-sans-condensed-v14-latin-300.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* open-sans-condensed-700 - latin */
@font-face {
	font-family: 'Open Sans Condensed';
	font-style: normal;
	font-weight: 700;
	font-display:swap;
	src: local(''),
		url('https://static.immoserver.ch/fonts/google/open-sans-condensed-v14-latin-700.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		url('https://static.immoserver.ch/fonts/google/open-sans-condensed-v14-latin-700.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

:root,
:host
{
	--hover-color:color-mix(in oklab, var(--theme-color) 45%, white);
	--overlay-color:color-mix(in oklab, var(--theme-color), transparent 66%);
	--odd-color:color-mix(in oklab, var(--theme-color) 15%, white);
	
	--text-color: #333;
	--dark-color: #2d2d2d;
	
	--swiper-navigation-size: 3em;
	--swiper-theme-color: rgb(255, 255, 255);
	
	--content-padding: 2rem;
	--content-padding-vertical: calc(var(--content-padding) * 2);
	--content-padding-horizontal: var(--content-padding);
	
	--status-color-available:darkgreen;
	--status-color-unknown:darkorange;
	--status-color-unavailable:darkred;
}

body
{
	color:var(--text-color);
	font-family: 'Open Sans Condensed', sans-serif;
	margin:0;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	min-height: 100dvh;
}

a
{
	color:inherit;
	text-decoration: none;
}

.typo a:not(.button, button)
{
	text-decoration: underline;
}

strong
{
	font-weight: 700;
}

main,
footer,
.consent-dialog
{
	margin-left: 60px;
}

h1
{
	color: var(--theme-color);
	font-size: 3em;
	font-family: 'Anton', sans-serif;
	font-weight: normal;
	text-decoration: underline;
	text-transform: uppercase;
	letter-spacing: .07em;
}

h1,h2,h3
{
	text-wrap: balance;
}

header,
footer
{
	color:white;
	background: var(--theme-color);
}

header
{
	font-family: 'Anton', sans-serif;
	font-size: 1.72em;
}

header > .colored
{
	position: fixed;
	background: var(--theme-color);
	box-shadow: 0px 0px 1px 3px rgba(0, 0, 0, .05);
	top: 0px;
	left: 0px;
	bottom: 0px;
	color: white;
	overflow: visible;
	z-index: 602;
	min-width: 60px;
}

header > .wrapper
{
	display: flex;
	justify-content: flex-start;
	align-content: center;
	align-items: center;
	box-shadow: 3px 3px 10px 0px rgba(50, 50, 50, 1);
	z-index: 601;
	background: white;
	position:fixed;
	top:0px;
	bottom:0px;
	left:-280px;
	transition: all .5s ease;
	width:340px;
	overflow-y: auto;
}

.toggled header > .wrapper
{
	left: 60px;
}

footer .wrapper
{
	margin:auto;
	max-width:1400px;
	padding:calc(var(--content-padding-horizontal) / 2) var(--content-padding-horizontal);
	box-sizing:border-box;
}

header .items
{
	display:flex;
	justify-content: space-between;
	align-items: center;
	gap:1em;
}

header .logo img
{
	display:block;
	max-width:16em;
	max-height:6em;
	object-fit:contain;
	box-sizing: border-box;
}

header nav,
footer nav
{
	display:flex;
}

footer nav
{
	column-gap: 2em;
	flex-wrap: wrap;
}

header .language
{
	position: absolute;
	top: 0px;
	background-color: var(--theme-color);
	right: 0px;
	z-index: 100;	
	font-family: 'Open Sans Condensed', sans-serif;
	font-weight: 300;
	box-shadow: 3px 3px 10px 0px rgba(50, 50, 50, 1);
}

header .language nav
{
	flex-wrap: nowrap;
	flex-direction:row;
	padding:0 5px;
	
}
header .language a
{
	color: #FFFFFF;
	padding:5px;
	font-size: smaller;
}

header .language a.active
{
	text-decoration: underline;
}

header .wrapper > nav
{
	padding: 10px 50px 10px 40px;
	flex-direction:column;
	gap:20px;
	max-height:100%;
	box-sizing: border-box;
	align-items:flex-start;
}

header nav a
{
	font-weight: normal;
	text-transform: uppercase;
	color: black;
	text-align: left;
	word-break: break-all;
	padding: 0 10px;
	letter-spacing: 1px;
}

header nav a.active,
header nav a:hover,
footer nav a:hover
{
	color: contrast-color(var(--theme-color));
	background: var(--theme-color);
	text-decoration: underline;
	text-underline-offset: .1em;
	text-decoration-thickness: .1em;
}

.nav-toggle
{
	position:absolute;
	top: 50%;
	left:10px;
	margin:-20px 0px 0px 0px;
	font-size:28px;
	outline: none;
	padding: 0;
	cursor:pointer;
	-webkit-transition: .5s ease-in-out;
	transition: .5s ease-in-out;
	width:40px;
	height: 40px;
}

.nav-toggle span
{
	display: block;
	position: absolute;
	height: 4px;
	width: 100%;
	background: white;
	opacity: 1;
	left: 0;
	-webkit-transform: rotate(0deg);
	-ms-transform: rotate(0deg);
	transform: rotate(0deg);
	-webkit-transition: .25s ease-in-out;
	transition: .25s ease-in-out;
	box-shadow: 0px 0px 1px 0px contrast-color(var(--theme-color));
}

.nav-toggle span:nth-child(1) { top: 9px; }
.nav-toggle span:nth-child(2) { opacity: 0; }
.nav-toggle span:nth-child(2),
.nav-toggle span:nth-child(3) { top: 18px; }
.nav-toggle span:nth-child(4) { top: 27px; }
.toggled .nav-toggle span:nth-child(1) { top: 9px; width: 0%; left: 50%; opacity: 0; }
.toggled .nav-toggle span:nth-child(2) { -webkit-transform: rotate(45deg); -ms-transform: rotate(45deg); transform: rotate(45deg); opacity: 1; }
.toggled .nav-toggle span:nth-child(3) { -webkit-transform: rotate(-45deg); -ms-transform: rotate(-45deg); transform: rotate(-45deg); }
.toggled .nav-toggle span:nth-child(4) { top: 9px; width: 0%; left: 50%; opacity: 0; }

header .scrolltip.down
{
	bottom:-40px;
	transform: rotate(-90deg);
	transform-origin: left top;
}

header .scrolltip
{
	display:table;
	vertical-align: middle;
	cursor:pointer;
	font-size: .5em;
	letter-spacing: .2em;
	height:60px;
	position:absolute;
	bottom:110px;
	left:0px;
	transform: rotate(90deg);
	transform-origin: left bottom;
}

header .scrolltip:not(.down) span:last-child
{
	transform: rotate(-180deg);
}

header .scrolltip span
{
	display:table-cell;
	text-align: center;
	vertical-align: middle;
	user-select: none;
	text-shadow: 0px 0px 2px contrast-color(var(--theme-color));
}

header .scrolltip img
{
	height: 25px;
	margin-right:.7em;
	vertical-align:middle;
	filter: drop-shadow(0px 0px 1px color-mix(in srgb, contrast-color(var(--theme-color)), transparent 50%));
}

footer
{
	font-size: 12px;
	box-shadow: 0px 0px 1px 3px rgba(0, 0, 0, .05);
}

footer nav a:hover {
	text-decoration: underline;
	text-underline-offset: .25em;
}

footer .wrapper
{
	display:flex;
	align-items:center;
	justify-content:space-between;
	gap:2em;
	color: contrast-color(var(--theme-color));
}

footer .about span
{
	font-weight:300;
}

section:nth-child(odd)
{
	background: var(--odd-color);
	box-shadow: 0px 0px 1px 1px rgba(0, 0, 0, .05);
}

main .group > .wrapper
{
	max-width:1400px;
	box-sizing:border-box;
	margin:auto;
}

.group:not(.group-nopad) > .wrapper
{
	padding:var(--content-padding-vertical) var(--content-padding-horizontal);
}

.group > .wrapper > .element
{
	margin:1.5em 0;
}

.group:not(.group-noclip) > .wrapper > .element:first-child,
.group:not(.group-noclip) > .wrapper > .element.title:first-child > .wrapper > h1,
.group:not(.group-noclip) > .wrapper > .element.subtitle:first-child > .wrapper > h2
{
	margin-top:0;
}

.group:not(.group-noclip) > .wrapper > .element:last-child,
.group:not(.group-noclip) > .wrapper > .element.title:last-child > .wrapper > h1,
.group:not(.group-noclip) > .wrapper > .element.subtitle:last-child > .wrapper > h2
{
	margin-bottom:0;
}

.group > .wrapper > .title + .offer
{
	margin-top: -1em;
}

/* elements */

.images img,
.image-simple img
{
	display:block;
	width:100%;
}

/*Fix Grid fr unit*/
.slideshow .swiper-slide
{
	width: 100% !important;
}

.slideshow .swiper-slide > img
{
	display:block;
	width:100%;
}

.slideshow .swiper-slide > .legend
{
	position: absolute;
	bottom: 0; 
	left:0; 
	right:0;
	color:white;
	text-align:center;
	z-index:1;
	pointer-events: none;
	text-shadow:0px 0px 15px #333;
	padding:2rem;
}

.gallery .items
{
	display:grid;
	grid-template-columns: 1fr 1fr 1fr;
	gap:1.5em;
}

.gallery .legend
{
	text-decoration:none;
	word-break: break-word;
}

.gallery .items > a {
	display: flex;
	flex-direction: column;
	text-decoration: none;
	overflow: hidden;
}

.gallery img
{
	display:block;
	width: 100%;
	transition: all .5s ease-in-out;
}

.gallery .items > a:hover > img {
	transform: scale(1.1);
}

.gallery .items > a > .legend {
	background: white;
	z-index: 2;
}

.links .items
{
	display:flex;
	gap: 1em;
	flex-wrap:wrap;
}

[data-slider] .slider-input
{
	padding:0 8px;
	margin:8px 0;
	height: 10px;
}

[data-slider] .slider-value
{
	font-size:smaller;
}

[data-slider] .slider-value span
{
	white-space: nowrap;
}

[data-slider] .slider-input,
[data-slider] .slider-input .noUi-handle
{
	box-shadow: none;
}

/* Hide markers on slider handles */
[data-slider] .slider-input .noUi-handle::before,
[data-slider] .slider-input .noUi-handle::after
{
	display: none;
}

[data-slider] .slider-input .noUi-connect
{
	background: var(--theme-color);
}

[data-slider] .slider-input .noUi-handle
{
	height: 18px;
	width: 18px;
	top: -5px;
	right: -9px; /* half the width */
	border-radius: 9px;
}

table
{
	max-width:100%;
	border-collapse: collapse;
}

td
{
	padding: 0.25em 0.5em;
}

/* MODEL */
[data-iso]
{
	position:relative;
	aspect-ratio: var(--is-iso-aspect-ratio, 16 / 9);
}

[data-iso] canvas 
{
	position: absolute;
	top:0;
	left:0;
	box-sizing: border-box;
	background: transparent;
	bottom: 0;
	width: 100% !important;
	height: 100% !important;
	outline: none;
}

[data-iso] img
{
	width: 100%;
	height: 100%;
	object-fit: contain;
}

.model:fullscreen
{
	background:white;
}

.model:fullscreen [data-model]
{
	width: 100%;
	height: 100vh;
}

.model > .wrapper
{
	position:relative;
}

.model-toolbar
{
	position:absolute;
	display:flex;
	z-index:1;
	gap:1em;
}

.model-toolbar.model-toolbar-vertical
{
	flex-direction: column;
}

.model-toolbar.model-toolbar-nw
{
	top:0;
	left:0;
}

.model-toolbar.model-toolbar-ne
{
	top:0;
	right:0;
}

.model-toolbar.model-toolbar-sw
{
	bottom:0;
	left:0;
}

.model-toolbar.model-toolbar-se
{
	bottom:0;
	right:0;
}

.model-toolbar.model-toolbar-navigation
{
	bottom:0;
	right:4em;
	display:grid;
	grid-template-columns: repeat(3,1fr);
	grid-template-rows: repeat(3,1fr);
}

.model-toolbar.model-toolbar-navigation:not(.toggled)
{
	display: none;
}

.model-logo svg
{
	height:1.1em;
}

.model-logo-small
{
	display:none;
}

.model-logo svg
{
	transition:opacity .5s ease;
	opacity: .7;
}

.model-logo:hover svg
{
	opacity: 1;
}

@media(max-width: 1000px)
{
	.model-logo-small
	{
		display: block;
	}

	.model-logo-large
	{
		display:none;
	}
}

.model-overlay,
.model-loading
{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	display:grid;
	place-items: center;
	box-sizing: border-box;
	z-index:1;
	pointer-events:none;
}

.model-overlay
{
	display:none;
}

.model-overlay.model-overlay-mouse,
.model-overlay.model-overlay-touch
{
	/*display:grid;*/
	color:white;
	font-size:clamp(1em,3vw,1.5em);
	padding:2em;
	text-align:center;
}

.model-overlay.model-overlay-mouse > div,
.model-overlay.model-overlay-touch > div
{
	background:rgba(0,0,0,.3);
	padding: .5em 1em;
}

.model-overlay.model-overlay-mouse .model-info-touch,
.model-overlay.model-overlay-touch .model-info-mouse
{
	display:none;
}

.model-loading,
.model-poster
{
	transition-property: opacity, display;
	transition-duration: 0.25s;
	transition-behavior: allow-discrete;
}

.model-loading-done .model-loading,
.model-loading-done .model-poster
{
	opacity: 0;
	display: none;
}

.model-toolbar-button
{
	background:white;
}

button.model-toolbar-button
{
	font:inherit;
	border:none;
	margin:0;
	padding:0;
	touch-action:manipulation;
}

.model-toolbar-button,
.model-toolbar-entry
{
	display: none;
	box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 4px -1px;
	border-radius:50%;
}

.model-toolbar-button.model-control-enabled,
.model-toolbar-entry.model-control-enabled
{
	display: block;
}

.model-toolbar-button::after,
.model-direction::after
{
	display: block;
	font:var(--fa-font-regular);
	cursor: pointer;
	width:1em;
	height:1em;
	padding: 1em;
	margin:auto;
	text-align: center;
}

.model-poster
{
	background-size: cover;
	background-position: center center;
}

.model-poster video
{
	
	object-fit: cover;
	width:100%;
	height:100%;
}

.model-loading .model-toolbar-button
{
	font-size: 2em;
}

.model-progress.model-control-enabled
{
	display:grid;
	place-items: center;
}

.model-progress .model-progress-percent
{
	font-size: .4em;
	grid-area: 1 / 1; 
}

.model-progress::after
{
	grid-area: 1 / 1; 
	content:"\f110";
	animation-name: fa-spin;
	animation-duration: var(--fa-animation-duration, 2s);
	animation-iteration-count: var(--fa-animation-iteration-count, infinite);
	animation-timing-function: var(--fa-animation-timing, linear);
}

.model-play
{
	pointer-events: auto;
	cursor:pointer;
}

.model-play::after
{
	content:"\f04b";
}

.model-ui button:not([disabled]),
.model-ui select:not([disabled])
{
	color: var(--text-color); /* ios safari input */
}

.model-toolbar .model-home::after{content:"\f015";}

.model-toolbar .model-prev{grid-row:2;grid-column:1;}
.model-toolbar .model-prev::after{content:"\f104";}
.model-toolbar .model-next{grid-row:2;grid-column:3;}
.model-toolbar .model-next::after{content:"\f105";}

.model-toolbar .model-up{grid-row:1;grid-column:2;}
.model-toolbar .model-up::after{content:"\f106"; }
.model-toolbar .model-down{grid-row:3;grid-column:2;}
.model-toolbar .model-down::after{content:"\f107";}

.model-toolbar .model-zoom-in{grid-row:1;grid-column:3;}
.model-toolbar .model-zoom-in::after{content:"\f00e";}
.model-toolbar .model-zoom-out{grid-row:3;grid-column:3;}
.model-toolbar .model-zoom-out::after{content:"\f010";}

.model-toolbar .model-fullscreen::after{content:"\f065";}
.model-toolbar .model-maximize::after{content:"\f31e";}
.model-toolbar .model-settings::after{content:"\f013";}
.model-toolbar .model-controls-toggle::after{content:"\f047";}

.model-menue-settings
{
	border: none;
	inset: unset;
	position-area: top span-x-start;
	margin: 0 0 .5em 0;
	box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 4px -1px;
	border-radius: .25em;
	padding: .5em;
}

.model-menue-settings select[data-setting-input]
{
	appearance: none;
	background:white;
	font:inherit;
	display:block;
	width: 100%;
	border:none;
	text-align: right;
	margin-right:1em;
	outline: none;
}

.model-menue-entry-content
{
	overflow: hidden;
}

.model-menue-entry-content:has(select[data-setting-input])
{
	display: flex;
	align-items: baseline;
}

.model-menue-entry-content:has(select[data-setting-input])::after
{
	content: "\f054";
	width:1em;
	font:var(--fa-font-regular);
	font-size: smaller;
	margin-left: -1em;
	text-align: right;
	pointer-events: none;
}

.model-menue-entry
{
	display:none;
	grid-template-columns: auto auto;
	gap:1em;
	align-items: center;
	padding:.5em .25em;
}

.model-menue-entry.model-control-enabled
{
	display: grid;
}

.model-direction
{
	cursor: pointer;
	place-items: center;
}

/* good enough for now */
@media (orientation: landscape) and (max-height: 380px)
{
	.model-direction,
	.model-direction.model-control-enabled
	{
		display: none;
	}
}

@media (orientation: portrait) and (max-height: 550px)
{
	.model-direction,
	.model-direction.model-control-enabled
	{
		display: none;
	}
}

.model-direction svg
{
	width:3em;
	box-sizing: border-box;
	display: block;
	aspect-ratio: 1;
	padding:.25em;
	border-radius: 50%;
	background: rgba(255,255,255,.5);
	transform-style: preserve-3d;
	transform:rotate(var(--model-direction))
}

.model-tooltips,
.model-ui
{
	position:absolute;
	overflow: hidden;
	top:0;
	left:0;
	right:0;
	bottom:0;
	pointer-events: none;
	box-sizing: border-box;
}

.model-toolbars > *
{
	pointer-events: auto;
}

.model-toolbars
{
	margin: 1em;
	position: absolute;
	top:0;
	left:0;
	right:0;
	bottom:0;
}

.model-tooltip
{
	--model-tooltip-padding:1em;
	--model-tooltip-background:white;
	
	display:none;
	transform-style: preserve-3d;
	position:absolute;
	transform: translateX(-50%);
	pointer-events:none;
	padding-bottom:var(--model-tooltip-padding);
	transition: opacity .5s;
	z-index:var(--model-tooltip-z);
	cursor:pointer;
	transform:translate(calc(-50% + var(--model-tooltip-x)), calc(-100% + var(--model-tooltip-y)));
}

.model-tooltip::after
{
	content:"";
	display:block;
	position:absolute;
	width: 0; 
	height: var(--model-tooltip-padding);
	bottom:0;
	left:50%;
	transform:translateX(-50%);
	border-left: 1px solid var(--model-tooltip-background);
	border-right: 1px solid var(--model-tooltip-background);
}

.model-tooltip:not(:empty).model-tooltip-visible
{
	display:block;
	pointer-events: auto;
}

/* DLV */
.dlv .dlv-title
{
	display:flex;
	align-items: baseline;
	flex-wrap: wrap;
	gap: 1.25em;
}

.dlv .dlv-title h1
{
	margin:0;
}

.dlv-popup table
{
	width: 100%;
	border-collapse: collapse;
}

.dlv-popup table td,
.dlv-popup table th
{
	padding:.25em .5em;
	white-space: nowrap;
}

.dlv-entry-body[data-dlv-popup]:hover
{
	cursor:pointer;
}

.dlv .dlv-list .odd,
.dlv-popup tr:nth-child(odd)
{
	background: var(--odd-color);
}

.dlv .dlv-list .even
{
	background: white;
}

.dlv .dlv-group h2
{
	margin-top: 1em;
	margin-bottom: .5em;
}

.dlv [data-reference]:hover,
.dlv [data-reference].active
{
	background:var(--hover-color);
}

.dlv .dlv-entry-header,
.dlv .dlv-entry-body
{
	display:grid;
	grid-template-columns: minmax(0,1fr) minmax(0,2fr) minmax(0,1fr);
	grid-template-areas: "dlv-title dlv-title dlv-title";
}

.dlv .dlv-entry-header:has(.dlv-entry-primary),
.dlv .dlv-entry-body:has(.dlv-entry-primary)
{
	grid-template-areas: "dlv-title dlv-title dlv-primary";
}

.dlv .dlv-entry-header:has(.dlv-entry-facts),
.dlv .dlv-entry-body:has(.dlv-entry-facts)
{
	grid-template-areas: "dlv-title dlv-facts dlv-primary";
}

@container (max-width: 35em)
{
	.dlv .dlv-entry-header,
	.dlv .dlv-entry-body
	{
		grid-template-columns: minmax(0,2fr) minmax(0,1.2fr);
		grid-template-areas: "dlv-title dlv-title";
	}

	.dlv .dlv-entry-header:has(.dlv-entry-primary),
	.dlv .dlv-entry-body:has(.dlv-entry-primary)
	{
		grid-template-areas: "dlv-title dlv-primary";
	}

	.dlv .dlv-entry-header:has(.dlv-entry-facts),
	.dlv .dlv-entry-body:has(.dlv-entry-facts)
	{
		grid-template-areas: "dlv-title dlv-title"
			"dlv-facts dlv-primary";
	}

	.dlv .dlv-entry-header:has(.dlv-entry-facts) .dlv-entry-title,
	.dlv .dlv-entry-body:has(.dlv-entry-facts) .dlv-entry-title
	{
		border-bottom:1px solid var(--odd-color);
	}

	.dlv .dlv-entry-body.odd:has(.dlv-entry-facts) .dlv-entry-title
	{
		border-bottom:1px solid white;
	}
}

@container (max-width: 25em)
{
	.dlv .dlv-entry-header:has(.dlv-entry-facts),
	.dlv .dlv-entry-body:has(.dlv-entry-facts)
	{
		grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
		grid-template-areas: "dlv-title dlv-primary"
				"dlv-facts dlv-facts";
	}

	.dlv .dlv-entry-body:has(.dlv-entry-facts) .dlv-entry-primary
	{
		border-bottom:1px solid var(--odd-color);
	}

	.dlv .dlv-entry-body.odd:has(.dlv-entry-facts) .dlv-entry-primary
	{
		border-bottom:1px solid white;
	}

	.dlv .dlv-entry-header .dlv-entry-primary
	{
		display:none;
	}
}

.dlv .dlv-list .dlv-entry-container
{
	display:flex;
	flex-direction:column;
	container-type: inline-size;
}

.dlv .dlv-list .dlv-entry-body
{
	padding:.5rem;
}

.dlv .dlv-list [data-reference]
{
	cursor:pointer;
}

.dlv .dlv-list .dlv-entry-header
{
	padding:0 .5rem;
}

.dlv .dlv_reference,
.dlv-popup .dlv_reference
{
	display:none;
}

.dlv .filter-button
{
	display:grid;
	align-items:center;
	grid-template-columns:auto 1fr auto;
	gap:.5em;
	background:none;
	padding:.5em 0;
}

.dlv .filters
{
	display:flex;
	flex-wrap:wrap;
	gap:1em;
	padding: .5rem 0;
	margin-top:1px;
}

.dlv .filter-disabled,
.dlv .filters-disabled
{
	display:none;
}

@container (max-width:40em)
{
	.dlv .filters
	{
		flex-direction:column;
	}
}

.dlv .toggled .filters,
.dlv .filter-button:not(.active) .fa-angle-up,
.dlv .filter-button .fa-angle-down
{
	display:none;
}

.dlv .filters .filter[data-filter-type=slider]
{
	flex: 1 0 auto;
	min-width:8em;
}

.dlv .filters .checkbox
{
	display:block;
	margin:5px 0;
	white-space: nowrap;
}

.dlv .filtered
{
	display:none;
}

.dlv .dlv-list .dlv-entry-header
{
	padding:0 .5rem;
}

.dlv .dlv-entry-header .dlv-entry-field
{
	text-transform:uppercase;
	font-size:.6em;
}

.dlv .dlv-entry-title,
.dlv-tooltip-title
{
	grid-area: dlv-title;
}

.dlv .dlv-entry-facts,
.dlv-tooltip-facts
{
	grid-area: dlv-facts;
}

.dlv .dlv-entry-facts
{
	display:grid;
	grid-template-columns: var(--dlv-entry-column-sizes-secondary);
}

.dlv .dlv-entry-primary,
.dlv-tooltip-primary
{
	grid-area: dlv-primary;
}

.dlv .dlv-entry-field,
.dlv-popup table td
{
	padding:.5rem;
}

.dlv .dlv-entry-field
{
	overflow:hidden;
	text-overflow: ellipsis;
	white-space:nowrap;
	box-sizing: border-box;
}

.dlv .dlv-entry-field.dlv-entry-field-title,
.dlv-tooltip .dlv-entry-field.dlv-entry-field-title
{
	font-weight:bold;
}

.dlv-tooltip
{
	display: grid;
	grid-template-areas: "dlv-title"
		"dlv-primary";
}

.dlv-tooltip:has(.dlv-tooltip-facts)
{
	grid-template-areas: "dlv-title dlv-primary"
		"dlv-facts dlv-facts";
}

.dlv-tooltip .dlv-tooltip-facts
{
	display: flex;
	justify-content: space-between;
}

.dlv-tooltip:has(.dlv-tooltip-facts) .dlv-tooltip-primary
{
	text-align: right;
}

.dlv-tooltip .dlv-entry-field
{
	padding:.5em;
}

.dlv-tooltip
{
	padding: .5em;
	box-shadow: 3px 3px 10px 0px rgba(50, 50, 50, .5);
	background-color: var(--model-tooltip-background);
	border-radius: .25em;
}

.model-tooltip:not(.active, .selected) .dlv-tooltip :is(.dlv-tooltip-title, .dlv-tooltip-facts, .dlv-tooltip-primary),
.model-tooltip:is(.active, .selected) .dlv-tooltip :is(.dlv-tooltip-icon)
{
	display:none;
}

.model-tooltip:is(.active)
{
	z-index:1000;
}

.dlv-tooltip .dlv-tooltip-facts,
.dlv-tooltip:not(:has(.dlv-tooltip-facts)) .dlv-tooltip-primary
{
	border-top: 1px solid var(--odd-color);
}


@container (max-width: 60em)
{
	.dlv .dlv-entry-field
	{
		display:none;
	}

	.dlv .dlv-entry-field.required
	{
		display:block;
	}
	
	.dlv .dlv-entry-facts
	{
		grid-template-columns: var(--dlv-entry-column-sizes-required);
	}
}

/* offer*/
.offer .filters .filter[data-filter-type=slider][data-filter-field=rentalprice_incl],
.offer .filters .filter[data-filter-type=slider][data-filter-field=sellingprice],
.offer .filters .filter[data-filter-type=slider][data-filter-field=rentalpriceexcl_m2y]
{
	flex: 2 0 auto;
}

.offer .filters .filter[data-filter-type=checkbox][data-filter-field=availability_status] label:not(:has(input[value=free]))
{
	display: none;
}

.offer .dlv-entry-header .dlv-entry-title
{
	display:none;
}

[data-dlv-context=offer] [data-reference]:not([data-availability_status="free"]) .primary,
[data-dlv-tooltip=offer]:not([data-availability_status="free"]) .primary
{
	color:var(--status-color-unavailable);
}

[data-dlv-context=offer] [data-reference][data-availability_status="reserved"] .primary,
[data-dlv-tooltip=offer][data-availability_status="reserved"] .primary
{
	color:var(--status-color-unknown);
}

[data-dlv-context=offer] [data-reference][data-availability_status="free"] .primary,
[data-dlv-tooltip=offer][data-availability_status="free"] .primary
{
	color:var(--status-color-available);
	font-weight:bold;
}

.offer .dlv_reference,
.offer-popup .dlv_reference
{
	display:initial;
}

.dlv-popup .dlv-popup-close
{
	display:none;
}

/* prevent flash of icon for offer state change */
.model-tooltip:has([data-dlv-tooltip=offer]):not(.active, .selected) {
	display: none;
}

/* location*/
.model-tooltip.filter:has([data-dlv-tooltip=location])
{
	display:none;
}

[data-dlv-tooltip=location] .dlv_reference
{
	display:none;
}

.property_status.tag-pill
{
	font-size:.5em;
	vertical-align:middle;
	border-color:var(--contrast-color);
	color:var(--contrast-color);
}

:not([data-availability_status="free"]) .property_status.tag-pill
{
	--contrast-color:var(--status-color-unavailable);
}

[data-availability_status="reserved"] .property_status.tag-pill
{
	--contrast-color:var(--status-color-unknown);
}

[data-availability_status="free"] .property_status.tag-pill
{
	--contrast-color:var(--status-color-available);
}

/* interactive */
.interactive
{
	--interactive-height: calc(100lvh - var(--header-height));
}

.interactive:fullscreen
{
	--header-height:0px;
	background: white;
}

.interactive > .wrapper > .items
{
	display:grid;
}

.interactive.interactive-size-medium
{
	max-width: 100em;
	margin: auto;
}

.interactive .interactive-model,
.interactive .interactive-model .model,
.interactive .interactive-model .model > .wrapper,
.interactive .interactive-model .model .model-iso,
.interactive .interactive-model .model .model-poster
{
	grid-area: iso;
}

.interactive [data-model]
{
	width: 100%;
	height: var(--interactive-height);
}

.interactive .interactive-model,
.interactive .interactive-model .model,
.interactive .interactive-model .model > .wrapper
{
	display:grid;
	grid-template-rows: subgrid;
	grid-template-columns: subgrid;
}

.interactive .interactive-model .model .model-ui
{
	position:relative;
	grid-area: iso;
}

.interactive .interactive-model .model .model-toolbars
{
	margin: var(--interactive-sidebar-margin, 1em);
}

.interactive .interactive-model .model .model-iso,
.interactive .interactive-model .model .model-ui,
.interactive .interactive-model .model .model-poster
{
	position:sticky;
	top:var(--header-height);
	overflow: hidden;
	height:var(--interactive-height)
}

.interactive .interactive-sidebar
{
	position:relative;
	container-type: inline-size;
	grid-area: sidebar;
	margin:var(--interactive-sidebar-margin,0px);
}

.interactive .interactive-sidebar-content,
.interactive .dlv-popup,
.interactive .dlv-popup .dlv-popup-header
{
	background: white;
}

.interactive .interactive-sidebar-popup
{
	position:sticky;
	bottom:0;
	width:100%;
	height:0;
	transition:all .5s;
	transform:translateY(100%);
	opacity:0;
	pointer-events:none;
	z-index:1;
}

.interactive.interactive-state-popup .interactive-sidebar-popup
{
	transform:translateY(0%);
	height:var(--interactive-height);
	opacity:1;
	pointer-events:auto;
}

.interactive .interactive-sidebar-popup .dlv-popup-header
{
	position: sticky;
	top: 0;
}

.interactive .interactive-sidebar-popup .dlv-popup-header .title h1
{
	display:flex;
	justify-content: space-between;
	gap: .25em;
}

.interactive .interactive-sidebar-popup .dlv-popup-header .title .dlv-popup-title
{
	overflow: hidden;
	text-overflow: ellipsis;
}

.dlv-popup .dlv-popup-header > .wrapper
{
	padding-bottom: calc(var(--content-padding-vertical) / 2);
}

.dlv-popup .dlv-popup-body > .wrapper
{
	padding-top: calc(var(--content-padding-vertical) / 2);
}

.interactive .dlv-popup .dlv-popup-close
{
	display:initial;
	cursor:pointer;
}

.interactive .interactive-sidebar .interactive-sidebar-toggle
{
	position:absolute;
	top:0;
	right:0;
	border:1px solid black;
	z-index:101;
	background:white;
	cursor:pointer;

}

@keyframes fade-in
{
	0% {transform:translateY(100%);opacity: 0;}
	100% {transform:translateY(0%);opacity: 1;}
}

@keyframes fade-out
{
	0% {opacity: 1;}
	100% {opacity: 0;}
}

.interactive .dlv-popup.toggled
{
	display:block;
	overflow:auto;
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	animation: fade-in 250ms forwards;
}

.interactive .dlv-popup.closing
{
	animation: fade-out 250ms forwards;
}

@media(orientation: landscape)
{
	.interactive
	{
		--interactive-sidebar-width:40em;
	}

	.interactive.interactive-model-background
	{
		--interactive-sidebar-margin: 2em;
	}

	.interactive.interactive-sidebar-toggled
	{
		--interactive-sidebar-width:5em;
	}

	.interactive.interactive-sidebar-right > .wrapper > .items
	{
		grid-template-areas: "iso sidebar";
		grid-template-columns: 1fr minmax(0, min(var(--interactive-sidebar-width) + var(--interactive-sidebar-margin,0px), 40%));
	}

	.interactive.interactive-sidebar-left > .wrapper > .items
	{
		grid-template-areas: "sidebar iso";
		grid-template-columns: minmax(0, min(var(--interactive-sidebar-width) + var(--interactive-sidebar-margin,0px), 40%)) 1fr;
	}

	.interactive.interactive-sidebar-right.interactive-model-background .interactive-model,
	.interactive.interactive-sidebar-right.interactive-model-background .interactive-model .model,
	.interactive.interactive-sidebar-right.interactive-model-background .interactive-model .model > .wrapper,
	.interactive.interactive-sidebar-right.interactive-model-background .interactive-model .model .model-iso,
	.interactive.interactive-sidebar-right.interactive-model-background .interactive-model .model .model-poster
	{
		grid-area: iso / iso / sidebar / sidebar;
	}

	.interactive.interactive-model-background .interactive-sidebar-content,
	.interactive.interactive-model-background .interactive-sidebar-popup
	{
		border-radius: .25em;
	}

	.interactive.interactive-sidebar-right.interactive-model-background .interactive-sidebar
	{
		margin-left:0;
	}

	.interactive.interactive-sidebar-left.interactive-model-background .interactive-sidebar
	{
		margin-right:0;
	}

	.interactive.interactive-sidebar-left.interactive-model-background .interactive-model,
	.interactive.interactive-sidebar-left.interactive-model-background .interactive-model .model,
	.interactive.interactive-sidebar-left.interactive-model-background .interactive-model .model > .wrapper,
	.interactive.interactive-sidebar-left.interactive-model-background .interactive-model .model .model-iso
	{
		grid-area: sidebar / sidebar / iso / iso;
	}

	.interactive.interactive-sidebar-scroll .interactive-sidebar,
	.interactive.interactive-sidebar-scroll .interactive-sidebar-content,
	.interactive:fullscreen .interactive-sidebar,
	.interactive:fullscreen .interactive-sidebar-content
	{
		max-height: calc(var(--interactive-height) - var(--interactive-sidebar-margin,0px) * 2);
	}

	.interactive.interactive-sidebar-scroll .interactive-sidebar,
	.interactive:fullscreen .interactive-sidebar
	{
		overflow: hidden;
	}

	.interactive.interactive-sidebar-scroll .interactive-sidebar-content,
	.interactive:fullscreen .interactive-sidebar-content
	{
		overflow: auto;
	}
}

@media(orientation: landscape) and (max-width: 1000px)
{
	.interactive.interactive-model-background
	{
		--interactive-sidebar-margin: 1em;
	}
}

@media(max-width: 400px)
{
	.model-ui
	{
		font-size:smaller;
	}
}

@media(orientation: portrait)
{
	.interactive
	{
		--interactive-sidebar-height: 50svh;
	}

	.interactive.interactive-sidebar-toggled
	{
		--interactive-sidebar-height: 75svh;
	}

	.interactive > .wrapper > .items
	{
		grid-template-columns: none;
		grid-template-areas: "iso"
		"sidebar";
	}

	/* required to make sticky work */
	.interactive .interactive-model,
	.interactive .interactive-model .model,
	.interactive .interactive-model .model > .wrapper,
	.interactive .interactive-model .model .model-iso,
	.interactive .interactive-model .model .model-poster
	{
		grid-area: iso / iso / sidebar / sidebar;
	}

	
	.interactive .interactive-model .model .model-iso,
	.interactive .interactive-model .model .model-ui,
	.interactive .interactive-model .model .model-poster
	{
		grid-area: iso;
		z-index:2;
	}

	.interactive .interactive-model .model .model-iso,
	.interactive .interactive-model .model .model-ui,
	.interactive .interactive-model .model .model-poster,
	.interactive [data-model]
	{
		height: calc(var(--interactive-sidebar-height) - var(--header-height) / 2);
	}
	
	.interactive .model-iso
	{
		background:var(--model-background-color,white);
	}
	
	.interactive.interactive-state-popup .interactive-sidebar-popup
	{
		height:calc((100dvh - var(--header-height)) - (var(--interactive-sidebar-height) - var(--header-height) / 2));
	}
	
	.interactive .interactive-sidebar
	{
		margin:0;
		display:block;
	}

	.interactive:fullscreen .interactive-sidebar,
	.interactive:fullscreen .interactive-sidebar-content
	{
		max-height: var(--interactive-sidebar-height);
	}

	.interactive:fullscreen .interactive-sidebar
	{
		overflow: hidden;
	}

	.interactive:fullscreen .interactive-sidebar-content
	{
		overflow: auto;
	}
}

/* ivt12 custom offer styles */
.dlv .dlv-list [data-reference]:hover,
.dlv .dlv-list [data-reference].active,
.dlv [data-reference]:hover .primary,
.dlv [data-reference].active .primary 
{
	color: contrast-color(var(--hover-color));
}

.dlv .dlv-list .dlv-entry-body 
{
	border-top: 1px solid rgba(0, 0, 0, 0.05);
}

.dlv .dlv-list .dlv-entry-body:last-child 
{
	border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}

.interactive .interactive-sidebar-popup 
{
	box-shadow: 0px 0px 10px 0px gray;
}

.dlv-popup-header .dlv_reference 
{
	text-decoration: underline;
}

.dlv-popup-header .title h1 
{
	text-decoration: none;
}

.dlv-popup-header 
{
	box-shadow: 0px 0px 1px 2px rgba(0, 0, 0, .05);
}

section:nth-child(2n+1) > .group > .wrapper > .offer .dlv-list .odd
{
	background: white;
}

section:nth-child(2n+1) > .group > .wrapper > .offer .dlv-list .even
{
	background: var(--odd-color);
}

section:nth-child(2n+1) > .group > .wrapper > .offer .dlv-list .dlv-entry-body:hover 
{
	background: var(--hover-color);
	color: contrast-color(var(--hover-color))
}

section:nth-child(2n+1) .interactive:fullscreen 
{
	background: var(--odd-color);
}

section:nth-child(2n+1)  > .group > .wrapper > .offer .tag-pill
{
	border-color: white;
}

.f-html.offer-popup .dlv-popup-header 
{
	box-shadow: none;
}

.dlv-popup tr 
{
	border-top: 1px solid rgba(0, 0, 0, 0.05);
}

.dlv-popup tr
{
	border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}

.model-menue-entry 
{
	padding: .25em;
}

.model-toolbar button[disabled] 
{
	background-color: lightgray;
	color: darkgray;
}

.model-toolbar-button 
{
	transition: background .5s;
}

.model-ui button:not([disabled]):hover,
.model-toolbar-button:hover
{
	background-color: var(--hover-color);
	color: contrast-color(var(--hover-color));
}

.dlv .filters .checkbox 
{
	margin-top: -5px;
}

@media(max-width:400px), (max-height:750px)
{
	.interactive .dlv-popup-header .dlv-popup-title
	{
		text-wrap: nowrap;
	}
}

@media(orientation: portrait), (max-width:1000px) 
{
	.model-toolbar.model-toolbar-nw 
	{
		left: unset;
		right: 4em;
	}
}

.plan img
{
	display:block;
	width:100%;
	box-shadow: 0 0 2px 1px #ddd;
}

[data-toggle]
{
	cursor: pointer;
	user-select: none; 
}

input,
select
{
	margin:0;
}

input[type=text],
input[type=email],
input[type=tel],
textarea,
button,
select
{
	box-sizing:border-box;
	font:inherit;
	color:inherit;
}

input[type=text],
input[type=email],
input[type=tel],
textarea,
select
{
	display:block;
	width:100%;
	background:white;
	border: 1px solid var(--theme-color);
	border-radius: 3px;
	outline: 1px solid rgba(0, 0, 0, 0.05);
	padding:.5em;
	font-weight:bold;
}

textarea
{
	height: 6em;
}

.button,
button
{
	background:var(--theme-color);
	border: 1px solid var(--theme-color);
	border-radius: 3px;
	color:contrast-color(var(--theme-color));
	outline: 1px solid rgba(0, 0, 0, 0.05);
	padding: .75em 1em;
	white-space: nowrap;
	display: inline-block;
	font-weight:normal;
	cursor:pointer;
	transition: background .5s;
}

.button:not(.nav-toggle):hover,
button:not(.nav-toggle):hover
{
	background:var(--hover-color);
}

.button.primary,
button.primary
{
	font-weight:bold;
}

.button.secondary,
button.secondary
{
	color: black;
	border:1px solid var(--theme-color);
	background:none;
}

.button.secondary:hover,
button.secondary:hover 
{
	background-color: var(--theme-color);
	color: contrast-color(var(--theme-color));
}

.button.doc::before
{
	font: var(--fa-font-regular);
	content: "\f019";
}

.button.link::before
{
	content: "\f14c";
}

.button.application::before
{
	font: var(--fa-font-regular);
	content: "\f573";
}

select
{
	appearance:none;
	background-image:
		linear-gradient(45deg, transparent 50%, gray 50%),
		linear-gradient(135deg, gray 50%, transparent 50%),
		linear-gradient(to right, #ccc, #ccc);
	background-position:
		calc(100% - 1em) calc(1em + 3px),
		calc(100% - 1em + 6px) calc(1em + 3px),
		calc(100% - 2em) 0.5em;
	background-size:
		6px 6px,
		6px 6px,
		1px 1.5em;
	background-repeat: no-repeat;
}

.contact .form-group
{
	margin-bottom:.6em;
}

.contact .form-split-1-3
{
	display:grid;
	gap:1em;
	grid-template-columns:1fr 3fr;
}

.contact .form-label
{
	display: block;
	padding-bottom: 0.1em;
}

.contact .form-warning
{
	color:red;
	margin-bottom: .5em;
	margin-top:.25em;
	display:block;
	width:100%;
}

.contact .form-invalid
{
	border-color:red;
}

.contact .form-interest-selection
{
	display:grid;
	grid-template-columns: 1fr 1fr;
	gap: 0 1em;
}

.contact .form-interest-selection [data-interest-type=radio],
.contact .form-interest-selection [data-interest-type=select]
{
	grid-column: 1 / span 2;
}

.contact .selectables
{
	display:flex;
	flex-wrap:wrap;
	gap: 0 1em;
}

.contact .selectables > label
{
	display:flex;
	align-items: baseline;
	gap:.5em;
}

.contact input[name=Email_Address]{display:none;}

.contact .items
{
	display:grid;
	grid-template-columns:4fr 3fr;
	gap:4em;
	margin:0;
}

.contact .ajax-loading,
.contact .ajax-error,
.contact .mail.success,
.contact .mail.error
{
	
	background: green;
	padding:3em 1em;
	text-align:center;
	color:white;
}

.contact .ajax-error,
.contact .mail.error
{
	background:red;
}

.contact .ajax-form .ajax-loading,
.contact .ajax-form .ajax-result,
.contact .ajax-form .ajax-error,
.contact .ajax-form.ajax-state-loading form,
.contact .ajax-form.ajax-state-success form
{
	display:none;
}

.contact .ajax-form.ajax-state-loading .ajax-loading,
.contact .ajax-form.ajax-state-success .ajax-result,
.contact .ajax-form.ajax-state-error .ajax-error
{
	display:block;
}


.contact .info 
{
	display: flex;
	flex-direction: column;
	gap: 1.5em;
}

.contact .info .phone,
.contact .info .email,
.contact .info .www
{
	display:grid;
	align-items:baseline;
	gap:.25em;
	grid-template-columns:minmax(0,1em) minmax(0,3fr);
}

.contact .info .phone a,
.contact .info .email a,
.contact .info .www a
{
	overflow-wrap: break-word;
}

.contact .info .phone::before,
.contact .info .email::before,
.contact .info .www::before
{
	font: var(--fa-font-regular);
	font-size:smaller;
}

.contact .info .phone::before
{
	content:"\f095";
}

.contact .info .email::before
{
	content:"\f0e0";
}

.contact .info .www::before
{
	content:"\f08e";
}

.contact .company
{
	background:white;
	box-sizing:border-box;
	box-shadow: 0 0px 2px 1px #ddd;
	border-radius:3px;
	padding:2em;
}

.contact .company .logo
{
	padding-bottom:2em;
}

.contact .company .logo img
{
	display: block;
	max-width: 14em;
	max-height: 5em;
	object-fit: contain;
	box-sizing: border-box;
}

.contact .person
{
	display:grid;
	align-items:center;
	gap:2em;
	grid-template-columns:minmax(0,2fr) minmax(0,3fr);
	max-width:36em;
}

.contact .person .image
{
	box-sizing:border-box;
	width:100%;
	border: 5px solid var(--odd-color);
	border-radius:100%;
	aspect-ratio:1;
	overflow:hidden;
	display:flex;
	align-items: center;
	justify-content: center;
	background:white;
	color:var(--odd-color);
	box-shadow: 0px 0px 1px 3px rgba(0, 0, 0, .05);
}

.contact .person .image.empty::after
{
	font: var(--fa-font-regular);
	content:"\f007";
	font-size:3em;
}

.contact .person .image img
{
	width:100%;
	aspect-ratio:1;
	object-fit:cover;
}

section:nth-child(odd) .person .image
{
	border-color:white;
}

.contact .info .name
{
	font-weight:bold;
}

.responsive
{
	position: relative;
	padding-bottom: 56.25%;
	padding-top: 0px;
	height: 0;
	overflow: hidden;
}

.responsive iframe
{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border:0;
}

.video video
{
	display:block;
	width:100%;
	max-height: 80vh;
}

/* */

.text-left
{
	text-align: left;
}

.text-center
{
	text-align: center;
}

.text-right
{
	text-align: right;
}

.typo
{
	font-size:1.33em;
	font-weight: 300;
	line-height:1.5;
}

.legend
{
	font-size:1em;
	font-weight: 700;
	line-height:1.5;
}

.fancybox__container {
	--f-html-color: var(--text-color);
	--f-html-padding: 0;
	--f-carousel-slide-bg: rgba(24, 24, 27, 0.6);
	--f-close-button-hover-color: contrast-color(var(--theme-color));
	--f-close-button-hover-bg: var(--theme-color);
}

.fancybox__dialog :empty {
	display: revert;
}

.f-html
{
	padding:0;
	width:50em;
	max-width:100%;
}

.fancybox__slide.has-image .f-html
{
	width: 100%;
}

.icon::after,
.icon::before
{
	text-align: center;
	font: var(--fa-font-regular);
}

.lage::after
{
	display:block;
	content: "";
	clear:both;
}

.lage .swiper-slide
{
	height: auto;
	min-height:10em;
}


.container
{
	width:50%;
	float: left;
	margin: 0 2em 1em 0;
}

section:nth-child(even) .container
{
	float:right;
	margin:0 0 1em 2em;

}

.container img
{
	display:block;
	width:100%;
}

.home .slideshow-wrapper
{
	position:relative;
	overflow:hidden;
}

.home .swiper-button-prev,
.home .swiper-button-next
{
	left:auto;
	bottom:2em;
	top:auto;
	right:2em;
}

.home .swiper-button-prev
{
	right:6em;
}

.home h1
{
	font-size:1.6em;
	color:white;
	text-shadow: 0px 0px .1em black;
	text-transform:uppercase;
	margin:0;
	text-align:center;
	font-family: 'Anton', sans-serif;
	text-align: left;
	font-size: 5em;
	letter-spacing: 2px;
	margin:0px;
	font-weight: normal;
	line-height: 1.2em;
	text-decoration: none;
}

.home h2
{
	letter-spacing: 2px;
	font-weight: normal;
	font-size: 3em;
	margin:0px;
	line-height: 1.2em;

}

.home h3
{
	font-size: 2.4em;
	margin:0px;
	font-weight: 300;
}

.homebox
{
	display:flex;
	flex-direction:column;
	justify-content:space-between;
	padding: 90px 200px 90px 90px;
	text-align: left;
}

.homebox .top { padding-bottom: 7em;}

.home .logo
{
	position:absolute;
	top: 100px;
	right: 5vw;
	border-radius: 15px;
	width:250px;
	object-fit:contain;
	object-position: center center;
	pointer-events: none;
	z-index:620;
}


.home .overlay
{
	position: absolute;
	top:0;
	bottom: 0;
	left: 0;
	right: 50%;
	z-index:1;
	background: transparent;
	color: white;
	text-shadow: 0px 0px .25em black;
	font-weight: 700;
	pointer-events:none;
	display:flex;
}

.container .legend,
.slideshow .legend
{
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	z-index:1;
	background: var(--overlay-color);
	color: white;
	text-align:center;
	text-shadow: 0px 0px 10px var(--dark-variant-color);
}

.container .legend,
.slideshow .legend
{
	padding: 1em 0px 1.75em 0px;
}

.home .swiper-slide
{
	height:100vh;
	min-height: 30vw;
	max-height: 100vmin;
	object-fit:cover;
}

.viewport-animated
{
	opacity:0;
	transform: translateY(100%);
	transition: all 1s;
}

.viewport-animated.viewport-visible
{
	opacity: 1;
	transform:translateY(0);
}

.consent-cover
{
	position:absolute;
	width:100%;
	height:100%;
	background:rgba(0,0,0,.2);
	display:flex;
	justify-content: center;
	align-items:center;
}

.consent-cover-info
{
	display:flex;
	flex-direction:column;
	align-items: center;
	gap:.5em;
	padding:2em;
}

.consent-cover .consent-message
{
	text-align:center;
}

.consent-cover .consent-buttons .items
{
	justify-content: center;
	gap: .5em 1em;
}

.consent-dialog
{
	position:sticky;
	bottom:0;
	background:white;
	z-index:1;
	box-shadow: 3px 3px 10px 0px rgb(50 50 50);
}

.consent-dialog > .wrapper
{
	display:flex;
	flex-direction:column;
	gap:.75em;
	margin:auto;
	max-width:1400px;
	box-sizing: border-box;
	padding:calc(var(--content-padding-horizontal) / 2) var(--content-padding-horizontal);
}

.toggle-button
{
	font-size:1.4em;
	position:relative;
	width:2em;
	height:1em;
	background:gray;
	box-sizing:border-box;
	border-radius:.5em;
	transition:background .5s;
	cursor:pointer;
}

.toggle-button::after
{
	content:"";
	position:absolute;
	left:0;
	top:0;
	width:calc(1em - 4px);
	height:calc(1em - 4px);
	margin:2px;
	background:white;
	border-radius:.4em;
}

.toggle-button.active
{
	background:green;
}

.toggle-button.active::after
{
	right:0;
	left:auto;
}

a[consent-settings]
{
	cursor: pointer;
}

.consent-settings .tab
{
	border-top:1px solid black;
}

.consent-settings .consent-preferences
{
	border-bottom: 1px solid black;
}

.consent-settings .tab .header
{
	display:flex;
	justify-content: space-between;
	align-items:center;
	gap:.5em;
}

.consent-links
{
	gap:0 .5em;
	display:inline-flex;
	text-decoration: underline;
	flex-wrap: wrap;
}

.consent-settings .tab [data-toggle]
{
	cursor:pointer;
}

.consent-settings .tab [data-toggle] h2
{
	display: flex;
	gap:.5em;
	align-items: center;
}

.consent-settings .tab [data-toggle] h2::before
{
	display: block;
	font: var(--fa-font-regular);
	content:"\f054"
}

.consent-settings .tab [data-toggle].active h2::before
{
	content:"\f078";
}


.consent-settings .tab .body
{
	padding-bottom: 1em;
}

.tab .body.toggled
{
	display:block;
}

.tag-pill
{
	padding:.1em .5em;
	border: 1px solid var(--odd-color);
	border-radius:.5em;
	margin-top:-.25em;
}

.hidden
{
	display:none;
}

@media(max-width : 1880px)
{
	.home h1 { font-size: 4em; }
	.home h2 { font-size: 3.2em; }
	.home h3 { font-size: 2.8em; }
}

@media(max-width : 1780px)
{
	.home h1 { font-size: 3em; }
	.home h2 { font-size: 2.2em; }
	.home h3 { font-size: 1.8em; }
}

@media(max-width : 1500px)
{
	.home h1 { font-size: 2.7em; }
	
	.homebox{ padding-right: 175px; }

	.home .logo
	{
		margin-top: -175px;
		margin-left: -175px;
		width:350px;
		height: 350px;
	}
}

@media(max-width : 1280px)
{
	.typo { font-size:1.2em; }
	
	.homebox 
	{ 
		padding: 70px 140px 70px 2em;
	}
	
	.home .logo
	{
		margin-top: -140px;
		margin-left: -140px;
		width:280px;
		height: 280px;
	}
}

@media(max-width : 1180px)
{
	.home  h1 { font-size: 2.2em; }
	.home  h2 { font-size: 1.9em; }
	.home  h3 { font-size: 1.5em; }
	
	.homebox { padding-right: 120px; }
	
	.home .logo
	{
		margin-top: -120px;
		margin-left: -120px;
		width:240px;
		height: 240px;
	}

}

@media(orientation: portrait), (max-width:1000px)
{
	section
	{
		scroll-margin-top:4rem;
	}
	
	.home .homebox
	{
		padding-top:8rem;
	}
	
	main,
	footer,
	.consent-dialog
	{
		margin-left:0px;
	}
	
	header .scrolltip
	{
		display:none;
	}
	
	header .colored
	{
		bottom:auto;
		height: 60px;
		border-radius: 30px;
		left:2rem;
		top:2rem;
		box-shadow: 3px 3px 10px 0px rgba(50, 50, 50, 1);
		
	}
	
	header > .wrapper
	{
		left:-350px;
		align-content: flex-start;
		align-items: flex-start;
	}
	
	.toggled header > .wrapper
	{
		left:0px;
		padding-top:clamp(120px,20vh,200px);
	}
}

@media(max-width:1000px)
{
	:root
	{
		--content-padding-vertical: calc(var(--content-padding) * 1.5);
	}
	
	header .logo
	{
		display:none;
	}
	
	header .nav-toggle
	{
		display: flex;
	}
	
	header h1,
	section h1,
	.fancybox__content h1
	{
		font-size:2em;
	}
	
	header h2,
	.fancybox__content h2
	{
		font-size:22px;
	}
	
	.home .swiper-slide
	{
		height: 80vmin;
	}
	
	.container
	{
		float:none;
		width:100%;
		margin:1.5em 0;
	}
	
	.gallery .items
	{
		grid-template-columns:1fr 1fr;
	}
	
	.contact .items
	{
		grid-template-columns:1fr;
	}
	
	.homebox { font-size: 0.8em; }
	.homebox .top { padding-bottom: 3em; }
}

@media(max-width : 860px)
{
	.home .overlay 
	{ 
		position: relative;
		text-shadow: none;
		color: contrast-color(var(--overlay-color));
	}

	.home .overlay h1 
	{
		text-shadow: none;
		color: contrast-color(var(--overlay-color));
	}

	.home .homebox
	{
		padding:var(--content-padding-vertical) var(--content-padding-horizontal);
	}
	
	.home .swiper-slide
	{
		
		min-height:initial;
		max-height:initial;
	}

	.home .swiper-button-prev,
	.home .swiper-button-next
	{
		display:none;
	}
	
	.home .logo
	 {
		display:block;	
		background-position: center center;	
		background-repeat: no-repeat;	
		background-size: contain;	
		position:absolute;	
		top:40vmin;	
		left:50%;
 		margin-left: -75px;
		margin-top:-75px;
		height: 150px;
		width: 150px;
	}
}

@media(max-width : 640px)
{
	:root
	{
		--content-padding: 1.5rem;
	}
	
	header .colored
	{
		left:1.5rem;
	}
	
	header nav
	{
		font-size: 0.7em;
	}
	
	header h1,
	section h1,
	.title h1,
	.fancybox__content h1,
	.nav-toggle
	{
		font-size:26px;
	}
	
	header h2,
	.fancybox__content h2
	{
		font-size:18px;
	}
	
	.typo,
	table
	{
		font-size: 1em;
	}
	
	.gallery .items
	{
		grid-template-columns:1fr;
	}
}

@media(max-width:400px) 
{
	.contact .selectables > label > input[type=checkbox]
	{
		position: relative;
		top: 2px;
	}
}